// Copyright 2008 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry5.grid;

public class GridConstants
{
    /**
     * CSS class for the first column or the first row. May be applied to a &lt;th&gt; (in the &lt;thead&gt;) or a
     * &lt;tr&gt; (in the &lt;tbody&gt;).
     */
    public static final String FIRST_CLASS = "t-first";

    /**
     * CSS class for the last column or the last row. May be applied to a &lt;th&gt; (in the &lt;thead&gt;) or a
     * &lt;tr&gt; (in the &lt;tbody&gt;).
     */
    public static final String LAST_CLASS = "t-last";

    /**
     * Marks the column that is currently sorted for sort ascending.  May be applied to a &lt;th&gt; (in the
     * &lt;thead&gt; or a &lt;td&gt; in the &lt;tbody&gt;).
     */
    public static final String SORT_ASCENDING_CLASS = "t-sort-column-ascending";

    /**
     * Marks the column that is currently sorted for sort descending.  May be applied to a &lt;th&gt; (in the
     * &lt;thead&gt; or a &lt;td&gt; in the &lt;tbody&gt;).
     */

    public static final String SORT_DESCENDING_CLASS = "t-sort-column-descending";
}
